'IDE-Voreinstellungen:
'Option Strict On
'Option Explicit On
'Imports System.Windows.Forms
'Imports System.Drawing

Public Class ColorGenerator
    ' Jede Farbkomponente luft den Farb-Bereich in eigener Schrittweite auf und ab.
    ' Die Kombination der Komponenten ergibt eine sehr hohe Anzahl an Farb-Permutationen

    Private Shared _Red As Integer = 127
    Private Shared _RedStep As Integer = 17
    Private Shared _Green As Integer = 127
    Private Shared _GreenStep As Integer = 13
    Private Shared _Blue As Integer = 127
    Private Shared _BlueStep As Integer = 23

    Private Shared Sub MoveNext(ByRef ColorPart As Integer, ByRef StepSize As Integer)
        ColorPart += StepSize
        If ColorPart > 255 OrElse ColorPart < 50 Then
            StepSize *= -1                         ' Laufrichtung umkehren
            ColorPart +=  StepSize
        End If
    End Sub

    Public Shared Function GetNextColor() As Color
        MoveNext(_Red, _RedStep)
        MoveNext(_Green, _GreenStep)
        MoveNext(_Blue, _BlueStep)
        Return Color.FromArgb(_Red, _Green, _Blue)
    End Function

End Class
